VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "WNet sample by Matt Hart - vbhelp@matthart.com"
   ClientHeight    =   9900
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   10305
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   9900
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' WNET Sample by Matt Hart - vbhelp@matthart.com
' http://matthart.com
'
' How to map network resources.
' NOTE the many constants. RESOURCE_REMEMBERED or
' RESOURCE_CONNECTED can be used for already logged in
' network resources - so that you don't have to supply a password.
' See the Help file for more information.
'
' In order to show a "list" of available resources,
' you must use VB 5's Enum abilities - you cannot do
' that in VB 4.

Private Declare Function WNetGetConnection Lib "mpr.dll" Alias "WNetGetConnectionA" (ByVal lpszLocalName As String, ByVal lpszRemoteName As String, cbRemoteName As Long) As Long
Private Declare Function WNetAddConnection2 Lib "mpr.dll" Alias "WNetAddConnection2A" (lpNetResource As NETRESOURCE, ByVal lpPassword As String, ByVal lpUserName As String, ByVal dwFlags As Long) As Long
Private Type NETRESOURCE
        dwScope As Long
        dwType As Long
        dwDisplayType As Long
        dwUsage As Long
        lpLocalName As String
        lpRemoteName As String
        lpComment As String
        lpProvider As String
End Type
Const RESOURCE_CONNECTED = &H1
Const RESOURCE_PUBLICNET = &H2
Const RESOURCE_REMEMBERED = &H3

Const RESOURCETYPE_ANY = &H0
Const RESOURCETYPE_DISK = &H1
Const RESOURCETYPE_PRINT = &H2
Const RESOURCETYPE_UNKNOWN = &HFFFF

Const RESOURCEUSAGE_CONNECTABLE = &H1
Const RESOURCEUSAGE_CONTAINER = &H2
Const RESOURCEUSAGE_RESERVED = &H80000000

Const RESOURCEDISPLAYTYPE_GENERIC = &H0
Const RESOURCEDISPLAYTYPE_DOMAIN = &H1
Const RESOURCEDISPLAYTYPE_SERVER = &H2
Const RESOURCEDISPLAYTYPE_SHARE = &H3
Const RESOURCEDISPLAYTYPE_FILE = &H4
Const RESOURCEDISPLAYTYPE_GROUP = &H5


Private Sub Form_Load()
    Show

    Dim N As NETRESOURCE
    N.dwScope = RESOURCE_PUBLICNET
    N.dwType = RESOURCETYPE_PRINT
    N.dwDisplayType = RESOURCEDISPLAYTYPE_GENERIC
    N.dwUsage = RESOURCEUSAGE_CONNECTABLE
    N.lpLocalName = "LPT3"
    N.lpRemoteName = "\\FS5\ACCT_LASER" + Chr$(0)
    N.lpComment = Chr$(0)
    N.lpProvider = Chr$(0)
    
    Dim l As Long
    l = WNetAddConnection2(N, "1234", "matt", 0)
    Print l

    Dim RN$
    RN$ = Space$(50)
    l = WNetGetConnection("LPT3", RN$, 50)
    Print l, RN$

End Sub
